package com.hssx.cloudmodel.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author 吴涛涛
 * @since 2019-07-26
 */
@TableName("tb_factory")
public class Factory extends Model<Factory> {

    private static final long serialVersionUID=1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 工厂名称
     */
    @TableField("factory_name")
    private String factoryName;

    /**
     * 工厂地址
     */
    @TableField("factory_area")
    private String factoryArea;

    /**
     * 经度
     */
    @TableField("y_lng")
    private String yLng;

    /**
     * 纬度
     */
    @TableField("x_lat")
    private String xLat;

    /**
     * 创建时间
     */
    @TableField("indate")
    private LocalDateTime indate;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getFactoryName() {
        return factoryName;
    }

    public void setFactoryName(String factoryName) {
        this.factoryName = factoryName;
    }

    public String getFactoryArea() {
        return factoryArea;
    }

    public void setFactoryArea(String factoryArea) {
        this.factoryArea = factoryArea;
    }

    public String getyLng() {
        return yLng;
    }

    public void setyLng(String yLng) {
        this.yLng = yLng;
    }

    public String getxLat() {
        return xLat;
    }

    public void setxLat(String xLat) {
        this.xLat = xLat;
    }

    public LocalDateTime getIndate() {
        return indate;
    }

    public void setIndate(LocalDateTime indate) {
        this.indate = indate;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "Factory{" +
        "id=" + id +
        ", factoryName=" + factoryName +
        ", factoryArea=" + factoryArea +
        ", yLng=" + yLng +
        ", xLat=" + xLat +
        ", indate=" + indate +
        "}";
    }
}
