package com.hssx.cloudmodel.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author 吴涛涛
 * @since 2019-07-26
 */
@TableName("tb_role")
public class Role extends Model<Role> {

    private static final long serialVersionUID=1L;

    /**
     * 角色表主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 角色名称
     */
    @TableField("role_name")
    private String roleName;

    /**
     * 下载权限
     */
    @TableField("dowload_power")
    private Integer dowloadPower;

    /**
     * 上传权限
     */
    @TableField("upload_power")
    private Integer uploadPower;

    /**
     * 浏览权限
     */
    @TableField("view_power")
    private Integer viewPower;

    /**
     * 审批权限
     */
    @TableField("approval_power")
    private Integer approvalPower;

    /**
     * 创建时间
     */
    @TableField("indate")
    private LocalDateTime indate;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public Integer getDowloadPower() {
        return dowloadPower;
    }

    public void setDowloadPower(Integer dowloadPower) {
        this.dowloadPower = dowloadPower;
    }

    public Integer getUploadPower() {
        return uploadPower;
    }

    public void setUploadPower(Integer uploadPower) {
        this.uploadPower = uploadPower;
    }

    public Integer getViewPower() {
        return viewPower;
    }

    public void setViewPower(Integer viewPower) {
        this.viewPower = viewPower;
    }

    public Integer getApprovalPower() {
        return approvalPower;
    }

    public void setApprovalPower(Integer approvalPower) {
        this.approvalPower = approvalPower;
    }

    public LocalDateTime getIndate() {
        return indate;
    }

    public void setIndate(LocalDateTime indate) {
        this.indate = indate;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "Role{" +
        "id=" + id +
        ", roleName=" + roleName +
        ", dowloadPower=" + dowloadPower +
        ", uploadPower=" + uploadPower +
        ", viewPower=" + viewPower +
        ", approvalPower=" + approvalPower +
        ", indate=" + indate +
        "}";
    }
}
