package com.hssx.cloudmodel.mapper;

import com.hssx.cloudmodel.entity.Company;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.hssx.cloudmodel.entity.Role;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author 吴涛涛
 * @since 2019-07-26
 */
public interface CompanyMapper extends BaseMapper<Company> {

    List<Company> getListByKeyName(@Param("keyName") String keyName, @Param("start")Integer start, @Param("pageSize") Integer pageSize);

    List<Company> selectIdAndNamelist();
}
