package com.hssx.cloudmodel.mapper;

import com.hssx.cloudmodel.entity.User;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.hssx.cloudmodel.entity.vo.UserVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author 吴涛涛
 * @since 2019-07-26
 */
public interface UserMapper extends BaseMapper<User> {

    List<UserVO> selectListByCondition(@Param("roleType") Integer roleType, @Param("companyId")Integer companyId,@Param("flag") Integer flag, @Param("user") User user, @Param("keyName") String keyName);
}
