package com.hssx.cloudmodel.service;

import com.hssx.cloudmodel.entity.Company;
import com.hssx.cloudmodel.entity.Role;
import com.baomidou.mybatisplus.extension.service.IService;
import com.hssx.cloudmodel.util.HttpRespMsg;
import com.hssx.cloudmodel.util.PageUtil;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author 吴涛涛
 * @since 2019-07-26
 */
public interface RoleService extends IService<Role> {

    HttpRespMsg addAndUpdateRole(Role role, Integer flag);

    HttpRespMsg pageList(PageUtil page, String keyName);

    List<Role> getIdAndNamelist();

    HttpRespMsg deleteById(Integer id);
}
