package com.hssx.cloudmodel;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.hssx.cloudmodel.entity.Role;
import com.hssx.cloudmodel.service.RoleService;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.List;

@RunWith(SpringRunner.class)
@SpringBootTest
public class CloudModelApplicationTests {
    @Autowired
    private RoleService roleService;
    @Test
    public void contextLoads() {
        //mybatis-plus只查询特定字段的测试
        QueryWrapper<Role> queryWrapper = new QueryWrapper<>();
        queryWrapper.select("id", "role_name");
        List<Role> list = roleService.list(queryWrapper);
        System.out.println(list);
    }

}
